com.ietnet.fse.igestore

## Interface IGestoreConsenso

-     public interface IGestoreConsenso

  Espone i servizi per gestire i consensi e i permessi sul fascicolo
  Author:
    alcaro

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blindDocument(java.lang.String patientCode, DocumentURI documentURI, java.lang.String documentOwner, java.lang.String documentType, boolean blindDocument)` Imposta lo stato di oscuramento su uno specifico documento del fascicolo
    `AccessPolicies` | `getAccessPolicies(java.lang.String patientCode)` Restituisce le politiche di accesso puntuale alla consultazione
    `Agreements` | `getAgreements(java.lang.String patientCode)`
    `java.lang.String` | `getAssistibileAna(java.lang.String patientCode)`
    `BlindStatus` | `getDocumentBlindStatus(java.lang.String patientCode, DocumentURI documentURI, java.lang.String documentOwner)` Metodo di ritorno dei valori dei consensi puntuali di oscuramento e maggior tutela per i soli documenti di cui un medico è autore.
    `java.lang.String` | `getPreviousAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso al pregresso sul fascicolo
    `java.lang.String` | `getReadingAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso alla consultazione sul fascicolo
    `java.lang.String` | `getWritingAgreement(java.lang.String patientCode)` Restituisce lo stato attuale del consenso all'alimentazione sul fascicolo
    `boolean` | `setAccessPolicies(java.lang.String patientCode, AccessPolicies accessPolicies)` Consente di settare le politiche di accesso puntuale alla consultazione
    `boolean` | `setChiusuraPianoECare(java.lang.String motivoChiusura, java.lang.String descAltraMotivazione)` Consente di non arruolare un assistito alla sperimentazione CarePuglia 3.0 oppure di chiudere un piano già attivo
    `boolean` | `setConsensoPianoECare(boolean consensoPianoECare)` Imposta il consenso alla sperimentazione di CarePuglia 3.0
    `boolean` | `setDisclosure(java.lang.String patientCode, boolean agreement)` Metodo di settaggio dei valori della informativa
    `boolean` | `setPreviousAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso al pregesso sul fascicolo dell'assitito
    `boolean` | `setReadingAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso alla consultazione sul fascicolo dell'assitito
    `boolean` | `setWritingAgreement(java.lang.String patientCode, boolean agreement)` Imposta il consenso all'alimentazione sul fascicolo dell'assitito

- - ### Method Detail

    - #### setConsensoPianoECare

          boolean setConsensoPianoECare(boolean consensoPianoECare)

      Imposta il consenso alla sperimentazione di CarePuglia 3.0
      Parameters:
        `consensoPianoECare` - il consenso al CarePuglia 3.0 . Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setChiusuraPianoECare

          boolean setChiusuraPianoECare(java.lang.String motivoChiusura,
                                      java.lang.String descAltraMotivazione)

      Consente di non arruolare un assistito alla sperimentazione CarePuglia 3.0 oppure di chiudere un piano già attivo
      Parameters:
        `motivoChiusura` - Motivo della chiusura della sperimentazione. Parametro obbligatorio.
        `descAltraMotivazione` - Descrizione altra motivazione di chiusura. Parametro facoltativo.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setAccessPolicies

          boolean setAccessPolicies(java.lang.String patientCode,
                                  AccessPolicies accessPolicies)

      Consente di settare le politiche di accesso puntuale alla consultazione
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `accessPolicies` - le politiche di accesso puntuale alla consultazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### getAccessPolicies

          AccessPolicies getAccessPolicies(java.lang.String patientCode)

      Restituisce le politiche di accesso puntuale alla consultazione
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        le politiche di accesso puntuale impostate attualmente per l'assistito
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### setWritingAgreement

          boolean setWritingAgreement(java.lang.String patientCode,
                                    boolean agreement)

      Imposta il consenso all'alimentazione sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso all'alimentazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00207: Il consenso all'alimentazione risulta già espresso
        - FSE-00208: Il consenso all'alimentazione risulta già revocato

    - #### setReadingAgreement

          boolean setReadingAgreement(java.lang.String patientCode,
                                    boolean agreement)

      Imposta il consenso alla consultazione sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso alla consultazione. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00209: Il consenso alla consultazione risulta già espresso
        - FSE-00210: Il consenso alla consultazione risulta già revocato

    - #### setPreviousAgreement

          boolean setPreviousAgreement(java.lang.String patientCode,
                                     boolean agreement)

      Imposta il consenso al pregesso sul fascicolo dell'assitito
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `agreement` - il consenso al pregresso. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00236=Il consenso al pregresso risulta gia' revocato
        - FSE-00235 =Il consenso al pregresso risulta gia' espresso
        - FSE-00121 =L'assistito non ha espresso il consenso al pregresso per tale documento
        - FSE-00237 =Il consenso al pregresso non puo' essere espresso senza il consenso all'alimentazione
        - FSE-10005 =Il consenso al pregresso puo' essere revocato solo revocando il consenso all'alimentazione

    - #### getWritingAgreement

          java.lang.String getWritingAgreement(java.lang.String patientCode)

      Restituisce lo stato attuale del consenso all'alimentazione sul fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso all'alimentazione:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido

    - #### getReadingAgreement

          java.lang.String getReadingAgreement(java.lang.String patientCode)

      Restituisce lo stato attuale del consenso alla consultazione sul fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso alla consultazione:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-10002: Dato obbligatorio mancante:

    - #### getPreviousAgreement

          java.lang.String getPreviousAgreement(java.lang.String patientCode)

      Restituisce lo stato attuale del consenso al pregresso sul fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Returns:
        lo stato attuale del consenso al pregresso:
        - `true`: il consenso è stato espresso
        - `false`: il consenso è stato negato
        - `none`: il consenso non è mai stato impostato
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00236=Il consenso al pregresso risulta gia' revocato
        - FSE-00235 =Il consenso al pregresso risulta gia' espresso

    - #### blindDocument

          boolean blindDocument(java.lang.String patientCode,
                              DocumentURI documentURI,
                              java.lang.String documentOwner,
                              java.lang.String documentType,
                              boolean blindDocument)

      Imposta lo stato di oscuramento su uno specifico documento del fascicolo
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `documentURI` - l'identificativo univoco del documento. Parametro obbligatorio.
        `documentOwner` - il codice fiscale del titolare del documento. Parametro obbligatorio.
        `documentType` - il tipo di documento. Parametro obbligatorio.
        `blindDocument` - indica se oscurare il documento `true` oscura, `false` revoca l'oscuramento. Parametro obbligatorio.
      Returns:
        l'esito dell'operazione
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00301: L'utente ha un ruolo con permessi insufficienti
        - FSE-00404: Portafoglio asserzioni non valido
        - FSE-00204: Il documento CDA risulta già oscurato
        - FSE-00205: Il documento CDA risulta già visibile
        - FSE-00206: Il documento CDA risulta già oscurato per maggior tutela

    - #### getDocumentBlindStatus

          BlindStatus getDocumentBlindStatus(java.lang.String patientCode,
                                           DocumentURI documentURI,
                                           java.lang.String documentOwner)

      Metodo di ritorno dei valori dei consensi puntuali di oscuramento e maggior tutela per i soli documenti di cui un medico è autore.
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
        `documentURI` - l'identificativo univoco del documento. Parametro obbligatorio.
        `documentOwner` - il codice fiscale del titolare del documento. Parametro obbligatorio.
      Returns:
        BlindStatus `BlindStatus`
      Throws:
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00219 Errore valorizzazione campo documentURI
        - FSE-00221 Errore valorizzazione campo documentOwner
        - FSE-00403: Permessi insufficienti: Operazione non consentita per l'operatore specificato.

    - #### setDisclosure

          boolean setDisclosure(java.lang.String patientCode,
                              boolean agreement)

      Metodo di settaggio dei valori della informativa
      Parameters:
        `patientCode` - il codice fiscale dell'assistito. Parametro obbligatorio.
      Throws:
        `java.sql.SQLException`
        `javax.naming.NamingException`
        `javax.xml.ws.soap.SOAPFaultException:` - errore applicativo, può assumere i seguenti valori:
        - FSE-00000: Errore generico:
        - FSE-00101: Ruolo e/o struttura operatore non valido
        - FSE-00203: Nessun assistito trovato con il codice fiscale fornito
        - FSE-00405: Mancano le asserzioni identificative obbligatorie o riportano informazioni non valide
        - FSE-00408: Mancano le asserzioni autorizzative obbligatorie o riportano informazioni non valide
        - FSE-00407: Mancano le asserzioni applicative obbligatorie o riportano informazioni non valide
        - FSE-10002: Dato obbligatorio mancante:
        - FSE-00219 Errore valorizzazione campo documentURI
        - FSE-00221 Errore valorizzazione campo documentOwner
        - FSE-00403: Permessi insufficienti: Operazione non consentita per l'operatore specificato.

    - #### getAgreements

          Agreements getAgreements(java.lang.String patientCode)

    - #### getAssistibileAna

          java.lang.String getAssistibileAna(java.lang.String patientCode)